<?php
/**
 * The search results template file.
 * @package RetroTale
 * @since RetroTale 1.0.0
*/
get_header(); ?>
<?php if ( have_posts() ) : ?>   
    <div class="content-headline">
      <h1 class="entry-headline"><?php printf( __( 'Результаты поиска по запросу: %s', 'retrotale' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
<?php retrotale_get_breadcrumb(); ?>
    </div>
    <div class="archive-meta"><p class="number-of-results"><?php _e( 'Количество результатов: ', 'retrotale' ); ?><?php echo $wp_query->found_posts; ?></p></div>
    <div<?php if ($retrotale_options_db['retrotale_post_entry_format'] == 'Grid - Masonry') { ?> class="js-masonry"<?php } ?>>
<?php while (have_posts()) : the_post(); ?>
<?php if ($retrotale_options_db['retrotale_post_entry_format'] == 'Grid - Masonry') {
get_template_part( 'content', 'grid' ); } else {
get_template_part( 'content', 'archives' ); } ?>
<?php endwhile; ?>
    </div> 

<?php if ( $wp_query->max_num_pages > 1 ) : ?>
		<div class="navigation" role="navigation">
			<h2 class="navigation-headline section-heading"><?php _e( 'Навигация по поиску', 'retrotale' ); ?></h2>
      <div class="nav-wrapper">
			 <p class="navigation-links">
<?php $big = 999999999;
echo paginate_links( array(
	'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
	'format' => '?paged=%#%',
	'current' => max( 1, get_query_var('paged') ),
  'prev_text' => __( '&larr; Предыдущие', 'retrotale' ),
	'next_text' => __( 'Следующие &rarr;', 'retrotale' ),
	'total' => $wp_query->max_num_pages,
	'add_args' => false
) );
?>
        </p>
      </div>
    </div>
<?php endif; ?>

<?php else : ?>
    <div class="content-headline">
      <h1 class="entry-headline"><?php _e( 'Ничего не найдено', 'retrotale' ); ?></h1>
<?php retrotale_get_breadcrumb(); ?>
    </div>
    <p><?php _e( 'Извините, но по Вашему запросу ничего не найдено. Попробуйте изменить ключевые слова.', 'retrotale' ); ?></p>
<?php get_search_form(); ?>
<?php endif; ?>  
  </div> <!-- end of content -->
<?php if ($retrotale_options_db['retrotale_display_sidebar_archives'] != 'Hide') { ?>
<?php get_sidebar(); ?>
<?php } ?>
<?php get_footer(); ?>